function [Dataset] = OF_ReadSampleFile_Sets()
%
% This funstions reads all lines and points sampled with the 'sample'
% utility in OpenFOAM

PWDFiles = dir; % files in current directory
[r c] = size(PWDFiles); % r is the number of files within PWDF

%%%%% Selecting files corresponging to user-defined sampled fields %%%%%

j = 1;

for i = 1:r
fileCheck = strfind(PWDFiles(i).name, '_'); % search for specific field

if isempty(fileCheck) == 0;
data = dlmread(PWDFiles(i).name, '\t');
Dataset(j).sample = data; % Append data to structure array 'Dataset'
Dataset(j).name = PWDFiles(i).name; % Append name to structure array
j = j + 1;
end

end
